﻿
@{
    ViewBag.Title = "All Trends";
    Layout = "~/Views/Shared/_LayoutWithoutLeftMenu.cshtml";
}
<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<div id="content" class="content">
    @*<div class="row">
        <div class="col-lg-2">
            <div class="clearfix">
                <h5>Project-Name:</h5>
            </div>
        </div>
        <div class="col-lg-3 text-left">
            <div class="clearfix">
                <h5> @Model.ProjectName</h5>
            </div>
        </div>
    </div>*@
    <div class="row">
        <div class="col-md-8 page-header">
           Company Profile Page
        </div>

        <div class="col-md-4 text-right">
            <a href="~/CompanyProfile/Create/@ViewBag.ProjectId" class="btn btn-sm btn-inverse width-200">Add New Company Profile</a>
        </div>
    </div>

    <!-- begin panel -->
    <div class="panel pagination-inverse m-b-0 clearfix">
        <input type="hidden" id="ProjectId" name="ProjectId" value='@ViewBag.ProjectId' />
        <table id="data-table" data-order='[[0,"asc"]]' class="table table-bordered table-hover" width="100%">
            <thead>
                <tr class="inverse">
                    <th>Sr No</th>
                    <th>Company Profile Name</th>
                    <th data-sorting="disabled" style="pointer-events: none !important;">Action</th>
                </tr>
            </thead>
            <tbody></tbody>


        </table>
    </div>
    <!-- end panel -->

    <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
</div>
<script>
    $(document).ready(function () {
        var Id = '@ViewBag.ProjectId';

        var trendViewModel = { ProjectID: Id };
        $("#data-table").DataTable({
            "processing": true,
            "serverSide": true,
            "filter": true,
            "orderMulti": false,
            "ajax": {
                "url": "/CompanyProfile/LoadData",
                "type": "POST",
                "data": { trendViewModel: trendViewModel },
                "datatype": "json",
            },
            "fnRowCallback": function (nRow, aData, iDisplayIndex) {
                $("td:nth-child(1)", nRow).html(iDisplayIndex + 1);
                return nRow;
            },
            "columns": [
                { "data": null },
                { render: function (data, type, full, meta) { return '<a href="/TrendMarketMap/Index/' + full.id + '">' + full.trendName + '</a> '; } },
                { render: function (data, type, full, meta) { return '<a class="btn btn-default btn-xs btn-rounded p-l-10 p-r-10" href="/Trend/Edit/' + full.id + '"><i class="fas fa-edit"></i></a> '; } },
                
            ]
        });
    });
</script>


